add a push mirror to the repository
POST
/repos/{owner}/{repo}/push_mirrors
const url = 'https://gitea.example.com/api/v1/repos/example/example/push_mirrors';const options = { method: 'POST', headers: {Authorization: 'Basic <credentials>', 'Content-Type': 'application/json'}, body: '{"interval":"example","remote_address":"example","remote_password":"example","remote_username":"example","sync_on_commit":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://gitea.example.com/api/v1/repos/example/example/push_mirrors \ --header 'Authorization: Basic <credentials>' \ --header 'Content-Type: application/json' \ --data '{ "interval": "example", "remote_address": "example", "remote_password": "example", "remote_username": "example", "sync_on_commit": true }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”owner
required
string
Owner of the repo
repo
required
string
Name of the repo
Request Body
Section titled “Request Body”Media typeapplication/json
CreatePushMirrorOption represents need information to create a push mirror of a repository.
object
interval
string
remote_address
string
remote_password
string
remote_username
string
sync_on_commit
boolean
Examplegenerated
{ "interval": "example", "remote_address": "example", "remote_password": "example", "remote_username": "example", "sync_on_commit": true}Responses
Section titled “Responses”PushMirror
Media typeapplication/json
PushMirror represents information of a push mirror
object
created
string
interval
string
last_error
string
last_update
string
remote_address
string
remote_name
string
repo_name
string
sync_on_commit
boolean
Examplegenerated
{ "created": "example", "interval": "example", "last_error": "example", "last_update": "example", "remote_address": "example", "remote_name": "example", "repo_name": "example", "sync_on_commit": true}APIError is error format response
Media typeapplication/json
Headers
Section titled “Headers”message
string
url
string
APIForbiddenError is a forbidden error response
Media typeapplication/json
Headers
Section titled “Headers”message
string
url
string
APINotFound is a not found empty response
Media typeapplication/json